; acad.pgp - External Command and Command Alias definitions

; External Command format:
;   <Command name>,[<DOS request>],<Memory reserve>,[*]<Prompt>,<Return code>

; Examples of External Commands for DOS

AV,AV,         0,,4
AUTO,REN AUTO.SV$ AUTO.DWG, 0,,4
CATALOG,DIR /W,0,File specification: ,0
DEL,DEL,       0,File to delete: ,4
DIR,DIR,       0,File specification: ,0
DIC,DICT,      0,,4
EDIT,EDIT,     0,File to edit: ,4
SH,,           0,*OS Command: ,4
SHELL,,        0,*OS Command: ,4
TYPE,TYPE,     0,File to list: ,0
PC,PC,         0,,4
MEM,MEM/C|MORE,0,,0
R12,PE2 C:\LISP\ACADR12.LSP,4,,4
HLP,PE2 C:\LISP\ACAD.HLP,4,,4
LSP,PE2 C:\LISP\ACAD.LSP,4,,4
LIN,PE2 C:\LISP\ACAD.LIN,4,,4
PGP,PE2 C:\LISP\ACAD.PGP,4,,4
MNU,PE2 C:\LISP\ACAD.MNU,4,,4
MNL,PE2 C:\LISP\ACAD.MNL,4,,4
ER12,EDIT C:\LISP\ACADR12.LSP,4,,4
ELSP,EDIT C:\LISP\ACAD.LSP,4,,4
ELIN,EDIT C:\LISP\ACAD.LIN,4,,4
EPGP,EDIT C:\LISP\ACAD.PGP,4,,4
EMNU,EDIT C:\LISP\ACAD.MNU,4,,4
PE2,PE2,       4,File to edit: ,4
NC,NC,         4,,4
TM,TM,         4,,4
CALC,WIN CALC, 4,,4
WIN,WIN,       4,,4
; ****************************
EEL,PE2 C:\LISP\IEN.LSP  ,4,,4
EPO,PE2 C:\LISP\IPN.LSP  ,4,,4
EIF,PE2 C:\LISP\IFN.LSP  ,4,,4
EFE,PE2 C:\LISP\FE2.LSP  ,4,,4
EDO,PE2 C:\LISP\IDR.LSP ,4,,4
EIC,PE2 C:\LISP\ICS.LSP  ,4,,4
EKA,PE2 C:\LISP\KATEB.LSP,4,,4

; Command alias format:
;   <Alias>,*<Full command name>

; Sample aliases for AutoCAD Commands
; These examples reflect the most frequently used commands.
; Each alias uses a small amount of memory, so don't go
; overboard on systems with tight memory.


3DF,   *3DFACE
A,     *ARC
AR,    *ARRAY
B,     *BLOCK
BH,    *BHATCH
BL,    *BLIPMODE
BR,    *BREAK
CHP,   *CHPROP
C,     *COPY
CH,    *CHANGE
CHF,   *CHAMFER
CI,    *CIRCLE
D,     *DIST
DD,    *DDEDIT
DDA,   *DDATTE
DDL,   *DDLMODES
DIV,   *DIVIDE
DO,    *DONUT
DT,    *DTEXT
DV,    *DVIEW
EX,    *EXTEND
EXP,   *EXPLODE
E,     *ERASE
ELL,   *ELLIPSE
F,     *FILLET
HA,    *HATCH
HD,    *HIDE
HI,    *HIGHLIGHT
I,     *INSERT
L,     *LINE
LA,    *LAYER
LI,    *LIST
LP,    *LASTPOINT
LT,    *LINETYPE
LTS,   *LTSCALE
M,     *MOVE
MI,    *MIRROR
MS,    *MSPACE
MSL,   *MSLIDE
NM,    *DWGNAME
O,     *OFFSET
OO,    *OOPS
OP,    *OPEN
OS,    *OSNAP
P,     *PAN
PL,    *PLINE
PS,    *PSPACE
PU,    *PURGE
PE,    *PEDIT
PF,    *PFACE
PG,    *POLYGON
Q,     *Qsave
QT,    *Quit
R,     *REDRAW
RO,    *ROTATE
RG,    *REGEN
S,     *SAVE
SA,    *SAVEAS
SC,    *SCALE
RSC,   *RSCRIPT
SN,    *SNAP
SO,    *SOLID
SPL,   *SPLFRAME
ST,    *STRETCH
STY,   *STYLE
T,     *TEXT
TR,    *TRIM
TS,    *TEXTSTYLE
UN,    *UNITS
UNn,   *UNITS
V,     *VIEW
VP,    *VPOINT
VSL,   *VSLIDE
W,     *WBLOCK
Z,     *ZOOM

3DLINE, *LINE

; easy access to _PKSER (serial number) system variable
SERIAL, *_PKSER

; These are the local aliases for AutoCAD AME commands.
; Comment out any you don't want or add your own.
; Note that aliases must be typed completely.

; Primitives.

BOX,             *SOLBOX
WED,             *SOLWEDGE
WEDGE,           *SOLWEDGE
CON,             *SOLCONE
CONE,            *SOLCONE
CYL,             *SOLCYL
CYLINDER,        *SOLCYL
SPH,             *SOLSPHERE
SPHERE,          *SOLSPHERE
TOR,             *SOLTORUS
TORUS,           *SOLTORUS

; Complex Solids.

FIL,             *SOLFILL
SOLF,            *SOLFILL
CHAM,            *SOLCHAM
SOLC,            *SOLCHAM
EXT,             *SOLEXT
EXTRUDE,         *SOLEXT
REV,             *SOLREV
REVOLVE,         *SOLREV
SOL,             *SOLIDIFY

; Boolean operations.

UNI,             *SOLUNION
UNION,           *SOLUNION
INT,             *SOLINT
INTERSECT,       *SOLINT
SUB,             *SOLSUB
SUBTRACT,        *SOLSUB
DIF,             *SOLSUB
DIFF,            *SOLSUB
DIFFERENCE,      *SOLSUB
SEP,             *SOLSEP
SEPARATE,        *SOLSEP

; Modification and Query commands.

SCHP,            *SOLCHP
CHPRIM,          *SOLCHP
MAT,             *SOLMAT
MATERIAL,        *SOLMAT
MOV,             *SOLMOVE
SL,              *SOLLIST
SLIST,           *SOLLIST
MP,              *SOLMASSP
MASSP,           *SOLMASSP
SA,              *SOLAREA
SAREA,           *SOLAREA
SSV,             *SOLVAR

; Documentation commands.

FEAT,            *SOLFEAT
PROF,            *SOLPROF
PROFILE,         *SOLPROF
SU,              *SOLUCS
SUCS,            *SOLUCS

; Model representation commands.

SW,              *SOLWIRE
WIRE,            *SOLWIRE
SM,              *SOLMESH
MESH,            *SOLMESH

