;                    === TBF.LSP ===
;                  *** CAD User Vol 3 No 5 ***
;A ROUTINE TO FILLET TWO LINES, ONE OF WHICH IS REQUIRED
;TO CONTINUE ON PAST THE OTHER LINE, AFTER BEING FILLETED.
;Written by Colin Browning  20/3/90
;******************************************************************
(Defun C:TBF (/ E1 E2 R1 R2 E1A PP1 PP2 E2A P1 P2 P3 P4 P5 P6 ANG1)
(Graphscr)
(Setq E1 (entsel "\nPick a point on the continuous line, on the side to be filleted:"))
(Setq E2 (entsel "\nPick a point on the other line to be filleted:"))
(Setq R1 (if (null R1) 10.0 R1))         ;Start of default prompting for radius
(Prompt "\nEnter required fillet radius <")
(Princ R1)
(Setq R2 (Getreal ">: "))
(Setq R1 (if (null R2) R1 R2))
(Setq E1A (car E1))                      ;Pulls out Entity Name of longest line
(Setq PP1 (cadr E1))                     ;Extracts the coordinates where picked
(Setq PP2 (cadr E2))                     ;Ditto for other line
(Setq E2A (car E2))                      ;Pulls out Entity name of other line
(Setq E1A (entget E1A))            ;Extracts data list for Entity Name
(Setq E2A (entget E2A))            ;Extracts data list for other Entity Name
(Setq P1 (assoc 10 E1A))           ;Gets information for start of line
(Setq P2 (assoc 11 E1A))           ;Gets information for endpoint of line
(Setq P1 (cdr P1))                 ;Extracts actual coordinate for start point
(Setq P2 (cdr P2))                 ;Extracts actual coords for endpoint of line
(Setq P3 (assoc 10 E2A))           ;Now repeat process for other line
(Setq P4 (assoc 11 E2A))           
(Setq P3 (cdr P3))                    
(Setq P4 (cdr P4))                     
(Setq P5 (inters P1 P2 P3 P4 nil))       ;Fixes point of intersection
(Setq ANG1 (angle P5 PP1))          ;Gets angle of 1st (continuous) line
(Setq P6 (Polar P5 ANG1 R1))
(Command "break" PP1 "F" P6 "@")    ;Breaks "AT" P6 at R1 away from int
(Command "fillet" "r" R1)           ;Sets fillet radius
(Command "fillet" PP2 PP1)
(Command "redraw")
(princ)                             ;Exits neatly
)
