;                     === TRY.LSP ===
;Based on routines submitted by Sergio Falsfien and Gavin Dykes
;      *** CAD User Vol 1 No 3 and Vol 2 No 1 ***
;==============================================================
(defun *error* (msg)
(terpri)
(princ msg)
(prompt "\nEntry error: distances may be wrong, try again!")
(princ)
)
(DEFUN C:TRY ()
(graphscr)
(initget 1)
(setq c1 (getpoint "\nFirst base line point: "))
(initget 1)
(setq c2 (getpoint "\nSecond base line point: "))
(initget (+ 1 2 4))
(setq r1 (getdist "\nDistance from first base point: "))
(initget (+ 1 2 4))
(setq r2 (getdist "\nDistance from second base point: "))
(initget 1)
(setq lato (Getpoint "\nOn which side?"))
; calculate the distances and angles from the first base point
(setq d (distance c1 c2))
(setq ctheta (/ (- (+ (expt r1 2) (expt d 2)) (expt r2 2)) (* 2 r1 d)))
(setq alpha (atan ( - (cadr c2) (cadr c1))(- (car c2) (car c1))))
(setq d1 (* r1 ctheta))
(setq h1 (sqrt (- (expt r1 2 ) (expt d1 2 ))))
(setq theta (atan ( / h1 d1 )))
;calculate the intersection coordinates
(setq xa (+ (car c1) (* r1 (cos (+ theta alpha)))))
(setq ya ( + (cadr c1) (* r1 (sin (+ theta alpha)))))
(setq xb (+ (car c1) (* r1 (cos (- theta alpha)))))
(setq yb (- (cadr c1) (* r1 (sin (- theta alpha)))))
(setq a (list xa ya))
(setq b (list xb yb))
(setvar "cmdecho" 0)
(if (< (Distance a lato)(Distance b lato))
    (command "point" a)
    (command "point" b)
)
(setvar "cmdecho" 1)
(princ)
)